
QGIS Application - Bug report #7624

QGIS crashes when pressing OK on the heatmap dialog

2013-04-15 07:41 PM - Aren Cambre

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: C++ Plugins

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 16547

Description

If I create a new GeoTIFF heatmap on a PostGIS vector layer with a couple million points, and I select the output to be a GeoTIFF, QGIS

immediately crashes. This happens on qgis 1.9 (051fe31).

History

#1 - 2013-04-16 01:51 PM - Giovanni Manghi

- Status changed from Open to Feedback

I don't have such big vector to try replicate here. Does happen with smaller vectors? something that can be downloaded somewhere?

#2 - 2013-04-16 03:55 PM - Nyall Dawson

I've tested this with a PostGIS table containing 3.5 million records without issue. Do you see the same behaviour with a smaller table (~100 records) on

your same setup? If you export the table to a shapefile and try to generate a heatmap do you see the same crash?

#3 - 2013-04-17 11:17 AM - Aren Cambre

I exported from PostGIS to a SHP--with no attributes--and loaded the SHP. I was able to reproduce the problem.

By the way, I was wrong about the count. It has 847,161 points.

#4 - 2013-04-17 11:20 AM - Aren Cambre

You can download the SHP from here for the next 6 hours: https://locker.smu.edu/xythoswfs/webui/_xy-2922304_1-t_uY4EvPXw

It's 12 MB zipped up.

#5 - 2013-04-17 11:30 AM - Giovanni Manghi

Aren Cambre wrote:

You can download the SHP from here for the next 6 hours: https://locker.smu.edu/xythoswfs/webui/_xy-2922304_1-t_uY4EvPXw

It's 12 MB zipped up.
the shape contains just an unique ID, all different values, it is supposed to interpolate this values?

#6 - 2013-04-18 01:42 AM - Nyall Dawson

I'm seeing this behavior too now. I believe it's caused by #7608.

#7 - 2013-04-20 12:51 AM - Giovanni Manghi

- File sds.tif added

now it seems to work, see attached file.

#8 - 2013-04-20 01:57 AM - Nyall Dawson

I get a crash when I try and load that raster image into current master... Do you see this too?

#9 - 2013-04-20 02:17 AM - Giovanni Manghi

Nyall Dawson wrote:

I get a crash when I try and load that raster image into current master... Do you see this too?

no

#10 - 2013-04-20 08:20 AM - Aren Cambre

Giovanni: Is that TIF from the data I provided?

Also, you wrote: "the shape contains just an unique ID, all different values, it is supposed to interpolate this values?" Not clear what you mean. The SHP

has a few hundred thousand points.

#11 - 2013-04-20 11:37 AM - Giovanni Manghi

Aren Cambre wrote:

Giovanni: Is that TIF from the data I provided?

yes

Also, you wrote: "the shape contains just an unique ID, all different values, it is supposed to interpolate this values?" Not clear what you mean. The

SHP has a few hundred thousand points.

forget about it I misunderstand the problem in first place.
#12 - 2013-04-20 07:56 PM - Aren Cambre

Has this been merged into the master branch yet?

#13 - 2013-04-22 07:18 AM - Giovanni Manghi

Aren Cambre wrote:

Has this been merged into the master branch yet?

merged what? I'm using "plain" nightly builds on both Linux and Windows.

#14 - 2013-04-22 07:22 PM - Aren Cambre

I just loaded the same vector into the latest 1.9.0 (from osgeo4w), and now I get a minidump when doing the heatmap. The minidump can be downloaded

from here: https://locker.smu.edu/xythoswfs/webui/_xy-2923824_1-t_KftMgQsG

#15 - 2013-04-22 10:06 PM - Mathieu Pellerin - nIRV

I've just ran onto a minidump too. It occured after heatmap tiff was created, upon inserting tiff into project.

#16 - 2013-04-23 02:32 AM - Giovanni Manghi

nirvn - wrote:

I've just ran onto a minidump too. It occured after heatmap tiff was created, upon inserting tiff into project.

I recently experienced a lot of crashes but after cleaning my installation (by deleting .qgis/.qgis2) everything started to work as expected. Would you mind

give it a try?

#17 - 2013-04-28 07:06 PM - Aren Cambre

I found both those directories (.qgis and .qgis2) under c:\\users\\_username_. Deleted them, ran QGIS 1.9 again, same problem: got a minidump.

#18 - 2013-05-02 02:48 PM - Nyall Dawson

- Assignee set to Nyall Dawson

This should be fixed with 6983ec39b23ba8261f75b95aa5cd47eec5f5cb66 - can you please re-test with latest master and let me know if it works ok now?

#19 - 2013-05-03 08:03 AM - Aren Cambre

Just updated to the latest copy from osgeo4w, and I still get the minidump. It is QGIS code revision d9fe893 per Help > About. I don't know how to
correlate this to 6983ec39b23ba8261f75b95aa5cd47eec5f5cb66.

#20 - 2013-05-03 10:46 AM - Giovanni Manghi

Aren Cambre wrote:

Just updated to the latest copy from osgeo4w, and I still get the minidump. It is QGIS code revision d9fe893 per Help > About. I don't know how to

correlate this to 6983ec39b23ba8261f75b95aa5cd47eec5f5cb66.

just compare the first part of the sequence with the sequence in this list (right side)

https://github.com/qgis/Quantum-GIS/commits/master

so your revision include that patch.

#21 - 2013-05-05 02:22 PM - Nyall Dawson

Aren - I didn't get a chance to download your file when you originally uploaded it, can you please make it available again so I can see test with it?

#22 - 2013-05-06 07:10 PM - Aren Cambre

This link will work for 24 hours: https://locker.smu.edu/xythoswfs/webui/_xy-2923734_1-t_Qy6hLDfM

#23 - 2013-05-06 07:38 PM - Nyall Dawson

Thanks Aren - can you please also let me know the coordinate system you are using in your project?

#24 - 2013-05-06 07:44 PM - Aren Cambre

I didn't change the coordinate system, so I guess that is 4326 by default? I am simply opening this SHP after starting up QGIS.

#25 - 2013-05-06 07:50 PM - Nyall Dawson

I can't replicate this using the supplied shapefile. Do you mind taking a screenshot of the heatmap dialog before the crash occurs? 

Is it when you select a output format, or when you choose a output raster file name?

#26 - 2013-05-07 07:07 AM - Aren Cambre

- File heatmap_dialog.png added

See attached image. The crash occurs after I press OK.

#27 - 2013-05-07 07:09 AM - Aren Cambre
BTW, just confirmed that 4326 is the default coordinate system. I am not changing this. All I do is start QGIS 1.9, load the SHP, then try to make the

heatmap.

#28 - 2013-05-07 02:48 PM - Nyall Dawson

If you click the "..." button next to the output file name then choose a valid path and enter a filename in the file chooser window, do you still get the crash?

#29 - 2013-05-07 07:38 PM - Aren Cambre

Aha, that worked. So there's a pathing problem if you don't hit ....

#30 - 2013-06-16 09:39 AM - Aren Cambre

Just want to confirm I am still seeing this behavior. If I don't hit ... and select a file path, I get a minidump. Not sure, but could this be related to #8070?

When I hit ..., C:\\ is displayed.

BTW, I'm on 192e130 now.

#31 - 2013-06-16 09:50 AM - Giovanni Manghi

Aren Cambre wrote:

Just want to confirm I am still seeing this behavior. If I don't hit ... and select a file path, I get a minidump. Not sure, but could this be related to

#8070? When I hit ..., C:\\ is displayed.

BTW, I'm on 192e130 now.

ave you tested on another machine? just to be sure and exclude local issues. cheers!

#32 - 2013-06-16 10:35 AM - Giovanni Manghi

- Category changed from GUI to C++ Plugins

#33 - 2013-07-05 09:35 PM - Aren Cambre

Just reproduced on a different Windows 7 x64 machine with d37e03b.

#34 - 2014-01-26 10:51 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to worksforme

Aren Cambre wrote:

Just want to confirm I am still seeing this behavior. If I don't hit ... and select a file path, I get a minidump. Not sure, but could this be related to

#8070? When I hit ..., C:\\ is displayed.
BTW, I'm on 192e130 now.

this seems to have been fixed, even when not clicking "..." and entering a valid path the tool does not crashes. Please reopen if necessary.

Files

sds.tif 1.86 MB 2013-04-19 Giovanni Manghi

heatmap_dialog.png 31.5 KB 2013-05-07 Aren Cambre
